ipkg -m noac -s tzdata -c ${TZDATA}
rscr once "Adjusting toolchain" toolchain-adjust
+rscr once "Creating temporary C++ toolchain hack" toolchain-hack-cpp-add
rscr mult "Testing toolchain" toolchain-test
export CC="gcc -isystem /usr/include"
ipkg -m acnb ${ZLIB}
ipkg ${BINUTILS}
ipkg ${GCC}
+rscr once "Deleting temporary C++ toolchain hack" toolchain-hack-cpp-remove
rscr mult "Testing toolchain" toolchain-test
ipkg ${SED} "--bindir=/bin"
ipkg ${LIBFFI}
--- /dev/null
+#!/bin/bash
+
+source ../functions/main
+
+# Temporary hack. If not, C++ programs cannot be run because
+# libstdc++ libraries are in /tools/lib, but ldd expect to find them
+# in /lib. I don't know why this is necessary now...
+cd /lib
+ln -s /tools/lib/libstdc++.so* .
+
+exit $?